Subject: Re: Slugs

From: [email-masked] (Anne Dubrofsky)
Date: Fri, 10 Mar 1995 05:21:06 GMT

Michael E. Matthews ([email-masked]) wrote:

> cut
>  I have heard people
> > >>use Diematrius (sp?) earth. I have sprinkled about two pounds
> > >>of it on our beds and walk ways over the past several months but
> > >>it doesn't seem to have _any_ affect on the slugs at all. I bought
> > >>it at Gardens Alive who claims it does wonders at killing slugs. So...
> > >>What am I doing wrong with it that my local slugs don't seem to
> > >>be affected by it? Any ideas? Does it work for you? Does it no?
> > >>How do you use it?
> > >
> cut
> >
> > >It's "diatomaceous" earth.  Remains of little sea critters from long 
> > >ago.  I heard it's best used when sprinkled fairly thickly in a ring 
> > >around individual plants. Slugs don't like to crawl over the stuff; its 
> > >sharp edges hurts their bellies.  
> > >
> cut 	
> >  Anyways what I read was to mix it with water
> > and spray on the plants, then when the slugs eat it it dries them out inside
> > I would be interested to hear from anyone who has tried this
> cut

> I used diatomaceous earth (DE) last year, and it was moderately
> effective.  A light dusting where slugs will crawl does cut
> them up and make them dry out and die. I just sprinkled the
> powder on the ground like talcum powder when there was little
> liklihood of rain for several days. It is no longer effective
> after a rain washes it down into the soil, so best to apply it
> when there's good weather ahead.  I also used tuna cans of
> beer, which would get a lot of slugs for a couple of days then
> need to be replaced too. My best treatment was flashlight and
> stick--no need for salt or ammonia, etc.--just smash the snails
> with the stick.  But make sure you don't hold the used end of
> the stick the next time. :( Disgusting.

> Using the stick method consistently and the beer and DE
> sporadically, I did not find myself withour snails at any time,
> but I had much less snail damage to my garden. More will always
> come, but few stayed around long enough to eat all my flowers
> and vegetables. I can put up with the occasional loss.

> BTW, one pest book I read standing up at the garden center said
> a snail can crawl a mile a day.

> Michael in central VA, two daffodils in bloom.

Last summer, I tried two methods, both of which work, but which also
make the gardener work. First, you can sprinkle salt on the slugs. The
second method, is to spray a 50/50 mixture of vinegar and water on the
creatures. In actual fact, I diluted the vinegar just a bit more,
(55:45 of water:vinegar). For both methods, I did this in the morning,
so that I didn't need a flashlight, and because I disliked the
procedure in the dark. You do need to be early, within two hours of
sun-up. My plants thrived for not being chewed by the slugs. 
Anne.